uses crt;
var
 s:extended;
 k:longint;
label 1;

begin
  randomize;
  clrscr;
  1:
  s:=1;
  for k:=1 to 1754
  do begin
    s:=s*k;
   {textbackground(random(215)); textcolor (random(215));}
   gotoxy(26,13); Writeln(s);
  end;
 goto 1;
end.